# Data Configs
This contains different configurations that can be included in Conftest runs to toggle certain resources, rules, and the severity of the policies.

------
## Example config.yaml
```
config:
  tag_validation:
    resource_exclusions:
      - aws_iam_policy
  exceptions:
    rules: []
  warn_mode: []
```

### warn_mode: []
Can be used to toggle policies from `Deny` to `Warn`, for example `warn_mode: ["iam_console_user_creation"]` would execute `warn_iam_console_user_creation`
instead of `deny_iam_console_user_creation`.

### exceptions: rules: []
Can be used to completely ignore policies when running Conftest. <br>
For example,
```
  exceptions:
    rules: ["iam_policy_attachments"]
```
Would skip running both `warn_iam_console_user_creation`  and `deny_iam_console_user_creation`.

### tag_validation
Is used to explicitly ignore resources when checking them for valid tags.

------

## Configuration Descriptions

### commercial
Specifies policy settings for commercial environments, specifically the `defense-infra` shared repository.

### default
Specifies policy settings by default, this is probably the configuration you want to use. <br>
Runs all the policies in `deny` (blocking) mode.

### govcloud
Specifies policy settings for GovCloud environments.

### provisioner

### warn
Runs all the policies in `warn` (non-blocking) mode.
